> For the complete documentation index, see [llms.txt](https://docs.feedbackly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feedbackly.com/v.5.0.2/api/touchpoints/get-touchpoint-by-id.md).

# GET Touchpoint by id

## Get Touchpoint by id

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.2/touchpoints/:id`

This endpoint allows you to access Touchpoint objects by id from Feedbackly.&#x20;

#### Path Parameters

| Name | Type   | Description          |
| ---- | ------ | -------------------- |
| id   | string | Id of the touchpoint |

#### Headers

| Name          | Type   | Description                                                                                          |
| ------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| Authorization | string | <p>Authentication token to access the API eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 Response successfully retrieved." %}

```
{
  "_id": "5dc57703b7c935069aef31c5",
  "name": "Feedback terminal 1",
  "teamId": "5dc57703b7c935069aef31c1",
  "activeSurveyId": "5dc57703b7c935069aef31a2",
  "activeSurveyName": "NPS Survey",
  "lastResponse": 159801789,
  "lastResponseDate": "2020-08-21T13:52:01.606Z",
}
```

{% endtab %}
{% endtabs %}

### Response type description

| Field name | Type                                                                     | Example | Description                     |
| ---------- | ------------------------------------------------------------------------ | ------- | ------------------------------- |
| data       | [Touchpoint data](/v.5.0.2/api/touchpoints.md#touchpoint-data-model) \[] |         | The array of touchpoint objects |
| paging     | [Pagination](/v.5.0.2/api/notes/pagination.md)                           |         | Pagination object               |
